Skip to main content
`Ctrl`+`K`

# TSRosWGetType

Get the type of Rosenbrock-W scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRosWGetType(TS ts, TSRosWType *rostype)

Logically Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- rostype - type of Rosenbrock-W scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSRosWType`, `TSRosWSetType()`

## Level

intermediate

## Location

src/ts/impls/rosw/rosw.c

## Implementations

TSRosWGetType_RosW() in src/ts/impls/rosw/rosw.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages